describe('WagonTypeCreate', () => {
    const entryId = 1;

    beforeEach(() => {
        cy.viewport(1920, 1080);
        cy.login('developer');
        cy.visit(`/#/entry/${entryId}/dms`);

    });

    it('should create edit and remove new dms', () => {
        cy.addRow();
        cy.get('.icon-attach').click()
        cy.get('.q-file').selectFile('test/cypress/fixtures/image.jpg', {
            force: true,
        });

        cy.get("tbody > tr").then((value) => {
            //Create and check if exist new row
            let newFileTd = Cypress.$(value).length;
            cy.get('.q-btn--standard > .q-btn__content > .block').click();
            expect(value).to.have.length(newFileTd++);
            const newRowSelector = `tbody > :nth-child(${newFileTd})`
            cy.waitForElement(newRowSelector);

            //Edit new dms
            const u = undefined;
            cy.validateRow(newRowSelector, [u,u,u,u,'ENTRADA ID 1'])
            cy.get(`tbody :nth-child(${newFileTd}) > .text-right > .flex > :nth-child(2) > .q-btn > .q-btn__content > .q-icon`).click();
        })
        // cy.log('newFileTd', newFileTd)

        // //Create and check if exist new row
        // cy.log('newFileTd:', newFileTd);
        // cy.get(`tbody :nth-child(${newFileTd}) > .text-right > .flex > :nth-child(2) > .q-btn > .q-btn__content > .q-icon`).click()

        // cy.get(`tbody :nth-child(${newFileTd}) > :nth-child(5) > .q-tr > :nth-child(1) > span`).then((value) => {
        //     cy.log(value)
        // });
    });
});
